Page MenuHomePhabricator

Publish data button should be disabled if nothing has been added yet
Closed, ResolvedPublicBUG REPORT

Description

User story: N/A

We have this:
Once a user has arrived at the Add data step, even if no structured data is added, the "Publish data" button at is active (both at the top and the bottom). This makes no sense, because there is nothing to publish yet. The only possible action if nothing has been added yet should be to "Skip this."

We want this:
When nothing has been added on the Add data step, the Publish data button should be inactive.

Screenshots (if possible):


^How it works now. No changes, yet the Publish button is active.

Acceptance Criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

  • Publish data buttons should be inactive until changes to the file(s) have been made

QA Results

ACStatusDetails
1T222482#5188315

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2019, 9:04 PM
PDrouin-WMF updated the task description. (Show Details)May 3 2019, 9:11 PM

Change 508364 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Disable publish button until statements have been added

https://gerrit.wikimedia.org/r/508364

Ramsey-WMF triaged this task as Normal priority.
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Ramsey-WMF moved this task from To Do to Doing on the Structured Data Engineering board.

Change 508364 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Disable publish button until statements have been added

https://gerrit.wikimedia.org/r/508364

matthiasmullie updated the task description. (Show Details)
matthiasmullie added a subscriber: matthiasmullie.
Edtadros reassigned this task from Edtadros to Ramsey-WMF.May 16 2019, 11:14 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

Acceptance Criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

Publish data buttons should be inactive until changes to the file(s) have been made

Edtadros updated the task description. (Show Details)May 16 2019, 11:15 PM
Ramsey-WMF closed this task as Resolved.May 23 2019, 11:12 PM

Tested on production and confirmed.